Package org.jbpm.services.task.audit.impl.model

## Class AuditTaskImpl_

- java.lang.Object
- - org.jbpm.services.task.audit.impl.model.AuditTaskImpl_

-     @Generated("org.hibernate.jpamodelgen.JPAMetaModelEntityProcessor")
      public abstract class AuditTaskImpl_
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `ACTIVATION_TIME` |
    `static javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,​Date>` | `activationTime` |
    `static String` | `ACTUAL_OWNER` |
    `static javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,​String>` | `actualOwner` |
    `static String` | `CREATED_BY` |
    `static String` | `CREATED_ON` |
    `static javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,​String>` | `createdBy` |
    `static javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,​Date>` | `createdOn` |
    `static String` | `DEPLOYMENT_ID` |
    `static javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,​String>` | `deploymentId` |
    `static javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,​String>` | `description` |
    `static String` | `DESCRIPTION` |
    `static String` | `DUE_DATE` |
    `static javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,​Date>` | `dueDate` |
    `static javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,​Long>` | `id` |
    `static String` | `ID` |
    `static String` | `LAST_MODIFICATION_DATE` |
    `static javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,​Date>` | `lastModificationDate` |
    `static javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,​String>` | `name` |
    `static String` | `NAME` |
    `static String` | `PARENT_ID` |
    `static javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,​Long>` | `parentId` |
    `static javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,​Integer>` | `priority` |
    `static String` | `PRIORITY` |
    `static String` | `PROCESS_ID` |
    `static String` | `PROCESS_INSTANCE_ID` |
    `static String` | `PROCESS_SESSION_ID` |
    `static javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,​String>` | `processId` |
    `static javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,​Long>` | `processInstanceId` |
    `static javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,​Long>` | `processSessionId` |
    `static javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,​String>` | `status` |
    `static String` | `STATUS` |
    `static String` | `TASK_ID` |
    `static javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,​Long>` | `taskId` |
    `static String` | `WORK_ITEM_ID` |
    `static javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,​Long>` | `workItemId` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AuditTaskImpl_()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### processInstanceId

          public static volatile javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,​Long> processInstanceId

    - #### dueDate

          public static volatile javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,​Date> dueDate

    - #### description

          public static volatile javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,​String> description

    - #### workItemId

          public static volatile javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,​Long> workItemId

    - #### priority

          public static volatile javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,​Integer> priority

    - #### createdOn

          public static volatile javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,​Date> createdOn

    - #### parentId

          public static volatile javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,​Long> parentId

    - #### lastModificationDate

          public static volatile javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,​Date> lastModificationDate

    - #### createdBy

          public static volatile javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,​String> createdBy

    - #### processId

          public static volatile javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,​String> processId

    - #### actualOwner

          public static volatile javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,​String> actualOwner

    - #### deploymentId

          public static volatile javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,​String> deploymentId

    - #### name

          public static volatile javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,​String> name

    - #### id

          public static volatile javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,​Long> id

    - #### processSessionId

          public static volatile javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,​Long> processSessionId

    - #### activationTime

          public static volatile javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,​Date> activationTime

    - #### taskId

          public static volatile javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,​Long> taskId

    - #### status

          public static volatile javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,​String> status

    - #### PROCESS_INSTANCE_ID

          public static final String PROCESS_INSTANCE_ID

      See Also:
        Constant Field Values

    - #### DUE_DATE

          public static final String DUE_DATE

      See Also:
        Constant Field Values

    - #### DESCRIPTION

          public static final String DESCRIPTION

      See Also:
        Constant Field Values

    - #### WORK_ITEM_ID

          public static final String WORK_ITEM_ID

      See Also:
        Constant Field Values

    - #### PRIORITY

          public static final String PRIORITY

      See Also:
        Constant Field Values

    - #### CREATED_ON

          public static final String CREATED_ON

      See Also:
        Constant Field Values

    - #### PARENT_ID

          public static final String PARENT_ID

      See Also:
        Constant Field Values

    - #### LAST_MODIFICATION_DATE

          public static final String LAST_MODIFICATION_DATE

      See Also:
        Constant Field Values

    - #### CREATED_BY

          public static final String CREATED_BY

      See Also:
        Constant Field Values

    - #### PROCESS_ID

          public static final String PROCESS_ID

      See Also:
        Constant Field Values

    - #### ACTUAL_OWNER

          public static final String ACTUAL_OWNER

      See Also:
        Constant Field Values

    - #### DEPLOYMENT_ID

          public static final String DEPLOYMENT_ID

      See Also:
        Constant Field Values

    - #### NAME

          public static final String NAME

      See Also:
        Constant Field Values

    - #### ID

          public static final String ID

      See Also:
        Constant Field Values

    - #### PROCESS_SESSION_ID

          public static final String PROCESS_SESSION_ID

      See Also:
        Constant Field Values

    - #### ACTIVATION_TIME

          public static final String ACTIVATION_TIME

      See Also:
        Constant Field Values

    - #### TASK_ID

          public static final String TASK_ID

      See Also:
        Constant Field Values

    - #### STATUS

          public static final String STATUS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AuditTaskImpl_

          public AuditTaskImpl_()